#ifndef CONFIG_H
#define CONFIG_H

/*
 *	Program name:
 */
#define PROG_NAME	"Image Viewer"

/*
 *	Program version:
 */
#define PROG_VERSION	"0.0.1"

#define PROG_VERSION_MAJOR	0
#define PROG_VERSION_MINOR	0
#define PROG_VERSION_RELEASE	1

/*
 *	Copyright message:
 */
#define PROG_COPYRIGHT	"\
Copyright (C) 1999-2001 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosicuted\n\
to the fullest extent of the law.\n"


/*
 *	Usage message:
 */
#define PROG_USAGE	"\
Usage: iv [file] [options] [GUI_options]\n\
\n\
    [file] specifies the image file to load on startup.\n\
\n\
    [options] can be any of the following:\n\
\n\
        -t                      Hide toolbar.\n\
        -q                      Hide values.\n\
        -i                      Show image on window manager icon.\n\
        --help                  Prints (this) help screen and exits.\n\
        --version               Prints version information and exits.\n\
\n\
    [GUI_options] can be any options standard to your GUI, consult\n\
    your GUI's manual for available options.\n\
\n\
    Return values:\n\
\n\
        0       Success.\n\
        1       General error.\n\
        2       No such file.\n\
        3       Systems error.\n\
\n"


#endif	/* CONFIG_H */
